[
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311001 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:amethyst",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311002 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:copper",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311003 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:diamond",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311004 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:emerald",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311005 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:gold",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311006 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:iron",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311007 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:lapis",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311008 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:netherite",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311009 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:quartz",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311010 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:redstone",
          "pattern": "tooltrims:linear"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311011 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:amethyst",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311012 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:copper",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311013 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:diamond",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311014 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:emerald",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311015 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:gold",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311016 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:iron",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311017 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:lapis",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311018 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:netherite",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311019 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:quartz",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311020 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:redstone",
          "pattern": "tooltrims:tracks"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311021 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:amethyst",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311022 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:copper",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311023 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:diamond",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311024 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:emerald",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311025 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:gold",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311026 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:iron",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311027 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:lapis",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311028 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:netherite",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311029 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:quartz",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311030 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:redstone",
          "pattern": "tooltrims:charge"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311031 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:amethyst",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311032 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:copper",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311033 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:diamond",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311034 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:emerald",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311035 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:gold",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311036 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:iron",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311037 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:lapis",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311038 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:netherite",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311039 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:quartz",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "filtered",
    "item_filter": {
      "items": "#tooltrims:migration/old_trimmable_tools",
      "components": { "minecraft:custom_model_data": 311040 }
    },
    "modifier": {
      "function": "set_components",
      "components": {
        "minecraft:trim": {
          "material": "minecraft:redstone",
          "pattern": "tooltrims:frost"
        }
      }
    }
  },
  {
    "function": "minecraft:set_components",
    "components": {
      "!minecraft:custom_data": {}
    }
  },
  {
    "function": "minecraft:set_lore",
    "entity": "this",
    "lore": [],
    "mode": "replace_all"
  }
]